Bug 38284 - fix documentation nits picked up by Lintian
Summary: fix documentation nits picked up by Lintian
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: 1.5
Hardware: Other All
: low minor
Assignee: Simon McVittie
QA Contact: John (J5) Palmieri
URL: http://cgit.freedesktop.org/~smcv/dbu...
Whiteboard:
Keywords: patch
Depends on:
Blocks: dbus-1.5
  Show dependency treegraph
 
Reported: 2011-06-14 02:24 UTC by Simon McVittie
Modified: 2011-08-02 02:31 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
[PATCH 1/2] Fix spelling/grammatical mistakes detected by Debian's lintian(1) (4.12 KB, patch)
2011-06-14 02:24 UTC, Simon McVittie
Details | Splinter Review
[PATCH 2/2] man pages: replace all unescaped hyphen/minus characters with \- (42.90 KB, patch)
2011-06-14 02:25 UTC, Simon McVittie
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2011-06-14 02:24:03 UTC
Debian's lintian tool finds some problems in strings, documentation and the man page.
Comment 1 Simon McVittie 2011-06-14 02:24:58 UTC
Created attachment 47929 [details] [review]
[PATCH 1/2] Fix spelling/grammatical mistakes detected by Debian's  lintian(1)
Comment 2 Simon McVittie 2011-06-14 02:25:31 UTC
Created attachment 47930 [details] [review]
[PATCH 2/2] man pages: replace all unescaped hyphen/minus characters  with \-

In a man page, "-" officially means a typographical (Unicode) hyphen,
which frequently breaks the ability to copy and paste code examples from
a man page. "\-" means the ASCII hyphen/minus character. See
<http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html> for
more details.
 
Rather than trying to distinguish between hyphens, em-dashes and
hyphen/minus, I just replaced all ambiguous hyphens with \- by applying
this vim command repeatedly until it didn't find anything:

     %s/\(^\|[^\\]\)-/\1\\-/g
Comment 3 Lennart Poettering 2011-07-27 18:01:15 UTC
Looks good to me.

(BTW, I really see no need for a review procedure for this kind of change. Reviewing this is a waste of time)
Comment 4 Simon McVittie 2011-08-02 02:31:14 UTC
(In reply to comment #3)
> Looks good to me.

Thanks, this was fixed in 1.5.6.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.